import { EggAppConfig, PowerPartial } from 'egg';

export default () => {
  const config: PowerPartial<EggAppConfig> = {
    // static
    static: {
      prefix: '',
      gzip: true,
      alias: {
        '/': '',
        'index.html': '',
        index: '',
      },
    },
    mysql: {
      client: {
        host: 'localhost',
        port: '3306',
        user: 'tanjiawei',
        password: '123456',
        database: 'evaluation',
      },
      app: true,
      agent: true,
    },
  };
  return config;
};
